Subject: Re: WIP Droid 4 voice calls, GNSS & PM with a TS 27.010 serdev driver

From: Pavel Machek <[email-masked]>
Date: Sat, 29 Dec 2018 00:25:36 +0100

Hi!

> * Pavel Machek <[email-masked]> [181228 20:46]:
> > I have ofone with direct AT access --
> > https://github.com/pavelmachek/unicsy_demo/blob/master/ofone/at.py .
> 
> OK thanks, that shows some of the commands I was wondering about.

I had some luck just googling AT commands. They are somehow
standartized.

> > Now, ttyUSB4 provides quite a rich interface, and you can actually
> > select what if you want messages in text and PDU format, and if you
> > want modem to auto-acknowledge messages for you.
> 
> So which AT command configures auto-ack of SMS? I don't need it,
> just wondering what all these commands do.

So this would be "text mode": AT+CMGF=1. And I'd actually expect
auto-ack to be the default on ttyUSB4, but in any case this is the
command that controls it is: AT+CNMI=1,2,2,1,0.

> 
> > What kind of battery life do you get with all the optimalizations?
> > IIRC I was getting 7h with ttyUSB4 in use...
> 
> With droid4-pending-mdm-v4.20 branch in the following state:
> 
> - UARTs idled
> - LCD blanked (well no drivers yet droid4-sms-read.rb)
> - MUSB and EHCI USB modules unloaded
> - OHCI loaded with all the children in autosuspend via sysfs
> - WLAN connected
> - busybox acpid stopped (yup, it keeps polling something???)
> - MDM6600 online with AT+CFUN=1 on /dev/motmdm1
> - MDM6600 notifications disabled with AT+SCRN=0 on /motmdm1
> - droid4-sms-read.rb running
> 
> I'm seeing droid 4 idle at 119mW according to my power supply.
> So I guess theoretical battery life would currently be
> (1785mWh * 3.8V) / 119mW = 57h. But in practise things are not
> completely idle and monitoring sysfs POWER_SUPPLY_POWER_AVG
> every 10 seconds I'm seeing something along these 10 samples:
> 
> POWER_SUPPLY_POWER_AVG=138938
> POWER_SUPPLY_POWER_AVG=134571
> POWER_SUPPLY_POWER_AVG=505802
> POWER_SUPPLY_POWER_AVG=240412
> POWER_SUPPLY_POWER_AVG=134252
> POWER_SUPPLY_POWER_AVG=132694
> POWER_SUPPLY_POWER_AVG=571569
> POWER_SUPPLY_POWER_AVG=132694
> POWER_SUPPLY_POWER_AVG=190456
> POWER_SUPPLY_POWER_AVG=518288
> 
> So the average based on that sampling is about 270mW and the idle
> time should be about 1785 * 3.8 / 270 = 25h, which is quite usable
> already :)

So... 57h would be very nice, and even 25h is cool. IIRC original
motorola firmware does something like 100hours, and cyanogenmod is
closer to 24h...

Note that there's something in the sysfs that allows "precise"
measurements. Aha, it is "charge_counter" on droid4.

(I even have some software to do the monitoring and display the
graphs. unicsy_demo/monitor/batmond).

Best regards,
									Pavel
-- 
(english) http://www.livejournal.com/~pavelmachek
(cesky, pictures) http://atrey.karlin.mff.cuni.cz/~pavel/picture/horses/blog.html
_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel